> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel a Workflow

> Cancels an in-progress Workflow instance



## OpenAPI

````yaml /openapi/product/workflows-api.yaml post /instances/{instanceId}/cancel
openapi: 3.0.3
info:
  title: Domo Workflows Product API
  description: >
    API for interacting with Domo Workflows from external Domo instances,
    environments outside of Domo, or scripts running in Domo's Jupyter
    Workspaces.


    For authentication details, please refer to the Product APIs authentication
    overview.

    For more information about Workflows, check the Domo Knowledge Base.
  version: 1.0.0
  contact:
    name: Domo Support
    url: https://www.domo.com
servers:
  - url: https://{instance}.domo.com
    description: Domo Workflow API
    variables:
      instance:
        default: your-instance
        description: Your Domo instance name
security:
  - DeveloperToken: []
tags:
  - name: Workflow Instances
    description: Operations for managing workflow instances
  - name: Workflow Models
    description: Operations for managing workflow models and permissions
paths:
  /instances/{instanceId}/cancel:
    post:
      tags:
        - Workflows API (Product)
      summary: Cancel a Workflow
      description: Cancels an in-progress Workflow instance
      operationId: cancelWorkflow
      parameters:
        - name: instanceId
          in: path
          required: true
          description: The ID of the Workflow instance to cancel
          schema:
            type: string
          example: 2052e10a-d142-4391-a731-2be1ab1c0188
      responses:
        '200':
          description: Workflow canceled successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowInstanceDetailed'
        '400':
          description: Bad request
        '401':
          description: Unauthorized - Invalid or missing authentication token
        '404':
          description: Workflow instance not found
components:
  schemas:
    WorkflowInstanceDetailed:
      allOf:
        - $ref: '#/components/schemas/WorkflowInstance'
        - type: object
          properties:
            deploymentId:
              type: string
              description: ID of the deployment
            bpmnProcessId:
              type: string
              description: BPMN process ID
            bpmnProcessName:
              type: string
              description: BPMN process name
            isTestRun:
              type: boolean
              description: Indicates if this is a test run
    WorkflowInstance:
      type: object
      properties:
        id:
          type: string
          description: ID of the newly created workflow instance
          example: 2052e10a-d142-4391-a731-2be1ab1c0188
        modelId:
          type: string
          description: ID of the workflow
          example: a8afdc89-9491-4ee4-b7c3-b9e9b86c0138
        modelName:
          type: string
          description: Name of the workflow
          example: AddTwoNumbers
        modelVersion:
          type: string
          description: Workflow version number
          example: 1.1.0
        createdBy:
          type: string
          description: User ID of workflow creator
          example: '8811501'
        createdOn:
          type: string
          format: date-time
          description: Timestamp when the instance was created
          example: '2023-11-15T15:28:57.479Z'
        updatedBy:
          type: string
          description: User ID of last updater
          example: '8811501'
        updatedOn:
          type: string
          format: date-time
          description: Timestamp when the instance was last updated
          example: '2023-11-15T15:28:57.479Z'
        status:
          type: string
          nullable: true
          description: >-
            Status of the workflow instance. Can be null, IN_PROGRESS, CANCELED,
            or COMPLETED. A null status means the workflow hasn't reported back
            as started yet.
          enum:
            - null
            - IN_PROGRESS
            - CANCELED
            - COMPLETED
          example: null
  securitySchemes:
    DeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication

````